import type { HTMLAttributes } from "react";

declare module "*.module.css" {
  const classes: { [key: string]: string };
  export default classes;
}

// 扩展 HTMLInputElement 以支持 webkitdirectory 属性
declare module "react" {
  interface InputHTMLAttributes<T> extends HTMLAttributes<T> {
    webkitdirectory?: string;
    directory?: string;
  }
}

export {};
